import { Base, Type, Point } from "igniteui-angular-core";
import { IBucketizer } from "./IBucketizer";
import { IFastItemColumn$1 } from "igniteui-angular-core";
import { Rect } from "igniteui-angular-core";
import { CategoryAngleAxis } from "./CategoryAngleAxis";
import { NumericRadiusAxis } from "./NumericRadiusAxis";
import { SeriesView } from "./SeriesView";
import { Axis } from "./Axis";
import { MarkerSeries } from "./MarkerSeries";
import { IHasCategoryModePreference } from "./IHasCategoryModePreference";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { SeriesRenderer$2 } from "./SeriesRenderer$2";
import { RadialFrame } from "./RadialFrame";
import { CategoryMode } from "./CategoryMode";
import { List$1 } from "igniteui-angular-core";
import { SeriesPointOfInterest } from "./SeriesPointOfInterest";
import { Marker } from "./Marker";
import { MarkerSeriesView } from "./MarkerSeriesView";
import { RadialAxes } from "./RadialAxes";
import { Pool$1 } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare abstract class RadialBucketCalculator extends Base implements IBucketizer {
    static $t: Type;
    protected a: RadialBaseView;
    constructor(a: RadialBaseView);
    c: number;
    d: number;
    b: number;
    getBucket(a: number): number[];
    getBucketWithoutUnknowns(a: number): number[];
    getErrorBucket(a: number, b: IFastItemColumn$1<number>): number;
    getBucketInfo(a: number, b: number, c: number, d: number): {
        p0: number;
        p1: number;
        p2: number;
        p3: number;
    };
    e(a: number): void;
    cacheValues(): void;
    unCacheValues(): void;
}
/**
 * @hidden
 */
export declare abstract class RadialBase extends MarkerSeries implements IHasCategoryModePreference {
    static $t: Type;
    iu(a: SeriesView): void;
    m4: RadialBaseView;
    constructor();
    private nj;
    readonly categoryAxis: CategoryAxisBase;
    ap(): CategoryAxisBase;
    nc(a: List$1<SeriesPointOfInterest>): boolean;
    m8: SeriesRenderer$2<RadialFrame, RadialBaseView>;
    protected get_c2(): boolean;
    m0: CategoryAngleAxis;
    m2: NumericRadiusAxis;
    ag(): Axis[];
    nb: boolean;
    protected jt(a: Rect, b: Rect): void;
    protected js(a: Rect, b: Rect): void;
    abstract preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    protected iz(a: any, b: string, c: any, d: any): void;
    na(a: any): boolean;
    m9(a: any): boolean;
    fp(a: Point): any;
    nd(a: Point): number;
    ne(a: Point): number;
    e8(a: Point): number;
    c9(a: any): boolean;
    m6: RadialFrame;
    m7: RadialFrame;
    m5: RadialFrame;
    abstract getOffsetValue(): number;
    abstract getCategoryWidth(): number;
    abstract nk(a: RadialFrame, b: RadialBaseView): void;
    abstract nl(a: RadialFrame, b: RadialBaseView): void;
    m3: RadialAxes;
    ib(): void;
    dw(a: Rect, b: Rect, c: SeriesView): boolean;
    je(a: boolean): void;
    nf(): number;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class RadialBaseView extends MarkerSeriesView {
    static $t: Type;
    co: RadialBucketCalculator;
    cn: RadialBase;
    constructor(a: RadialBase);
    cp: Pool$1<Marker>;
    cc(a: (arg1: Marker) => void): void;
    cq: number;
    cr: Point;
}
